### Enumeration

# FwupdPlugin EfiDevicePathType

since: 1.0

#### Declaration

    enum FwupdPlugin.EfiDevicePathType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_EFI_DEVICE_PATH_TYPE_HARDWARE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_ACPI`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_MESSAGE`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_MEDIA`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_BIOS_BOOT`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_END`
  No description available.
  - Value: `127`
  - Nickname: `None`
  - Available since: 1.0